Symfony 3.4 – cant run symfony server "There are no commands defined in the "server" namespace." [closed]

  composer-php, php, symfony

I have inherited a symfony project thats in version 3.4. I’m told this project needs composer v1 to run, not the latest v2. I am PHP 7.4.21 installed.

I downgraded composer and ran 'composer update' and got the '[OK] All assets were successfully installed.'

However, I cant run the project, if I use 'symfony server:start' I get 'bash: symfony command not found'

Looking at 3.4 documentation it states to use 'php bin/console server:run' but then I get error 'There are no commands defined in the "server" namespace.'

After reading this: server:run Exception There are no commands defined in the "server" namespace , I tried 'composer require symfony/web-server-bundle --dev' then I got

our requirements could not be resolved to an installable set of
packages.

Problem 1
– Conclusion: remove symfony/symfony v3.4.49
– Conclusion: don’t install symfony/symfony v3.4.49 …

…the rest of the error message just repeats the above but lists all the other symfony versions ie. Conclusion: don’t install symfony/symfony v3.4.x

What else can I try?

Source: Symfony Questions

LEAVE A COMMENT